// Copyright (c) 1999 Quadralay Corporation.  All rights reserved.
//
// The information in this file is confidential and proprietary to
// Quadralay Corporation.  Unauthorized use or duplication is
// strictly prohibited.

ndx[ndx.length] = new ndxItem(ndxanchor++, "A", "A",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "AAPI libraries&#32;", "API libraries&#32;",1,new Array( "usingap3.htm#782166"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "C", "C",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Cclose the database&#32;", "close the database&#32;",1,new Array( "usingap3.htm#740619","apiref3.htm#692733"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ccompiling with the API&#32;", "compiling with the API&#32;",1,new Array( "usingap3.htm#782166"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "D", "D",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Ddescription&#32;", "description&#32;",1,new Array( "apiref52.htm#699184"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "E", "E",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentity", "entity",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentityfilter list of&#32;", "filter list of&#32;",2,new Array( "apiref33.htm#696631"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentityfree list of&#32;", "free list of&#32;",2,new Array( "apiref34.htm#696670"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentityis metric defined for&#32;", "is metric defined for&#32;",2,new Array( "apiref47.htm#698633"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentitykind&#32;", "kind&#32;",2,new Array( "apiref9.htm#597114"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentitykinds&#32;", "kinds&#32;",2,new Array( "apiref36.htm#696935"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentitylist of all&#32;", "list of all&#32;",2,new Array( "apiref32.htm#696516"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentitylist of project files&#32;", "list of project files&#32;",2,new Array( "apiref35.htm#696734"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentitylookup by reference&#32;", "lookup by reference&#32;",2,new Array( "apiref43.htm#697592"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentitymatches kind of&#32;", "matches kind of&#32;",2,new Array( "apiref15.htm#692715"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentitymetrics&#32;", "metrics&#32;",2,new Array( "apiref46.htm#697924"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentityname", "name",2,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentitynamelong&#32;", "long&#32;",3,new Array( "apiref12.htm#691475"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentitynameshort&#32;", "short&#32;",3,new Array( "apiref13.htm#691553"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentityof reference&#32;", "of reference&#32;",2,new Array( "apiref57.htm#699595"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentityreferences to/from&#32;", "references to/from&#32;",2,new Array( "apiref39.htm#697195"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentitytype&#32;", "type&#32;",2,new Array( "apiref14.htm#692550"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Eentityunique id&#32;", "unique id&#32;",2,new Array( "apiref8.htm#860948"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "F", "F",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffile", "file",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffilein reference&#32;", "in reference&#32;",2,new Array( "apiref54.htm#699335"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffilelist of project files&#32;", "list of project files&#32;",2,new Array( "apiref35.htm#696734"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffilelookup by name&#32;", "lookup by name&#32;",2,new Array( "apiref44.htm#697676"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffilereferences in&#32;", "references in&#32;",2,new Array( "apiref40.htm#770355"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffree", "free",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffreeentity list&#32;", "entity list&#32;",2,new Array( "apiref34.htm#696670"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffreekindlist&#32;", "kindlist&#32;",2,new Array( "apiref20.htm#693889"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffreelibrary list&#32;", "library list&#32;",2,new Array( "apiref29.htm#696308"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffreelist of kinds&#32;", "list of kinds&#32;",2,new Array( "apiref37.htm#696998"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffreereference copy&#32;", "reference copy&#32;",2,new Array( "apiref52.htm#699184"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffreereference list&#32;", "reference list&#32;",2,new Array( "apiref42.htm#697521"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffunction", "function",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ffunctionreturn type of&#32;", "return type of&#32;",2,new Array( "apiref14.htm#692550"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "G", "G",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Ggraphic views", "graphic views",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ggraphic viewsavailable views&#32;", "available views&#32;",2,new Array( "apiref7.htm#798034"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ggraphic viewscreate&#32;", "create&#32;",2,new Array( "apiref7.htm#782352"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Ggraphic viewsview options&#32;", "view options&#32;",2,new Array( "apiref7.htm#851935"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "H", "H",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Hhash value for entities&#32;", "hash value for entities&#32;",1,new Array( "apiref8.htm#860948"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "I", "I",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Iinclude file for API&#32;", "include file for API&#32;",1,new Array( "usingap3.htm#714210"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "K", "K",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkind", "kind",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindof reference&#32;", "of reference&#32;",2,new Array( "apiref55.htm#699404"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkinds", "kinds",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsbuilding list of&#32;", "building list of&#32;",2,new Array( "apiref18.htm#693759"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindscopying of kindlist&#32;", "copying of kindlist&#32;",2,new Array( "apiref19.htm#693810"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsentity kinds&#32;", "entity kinds&#32;",2,new Array( "kindapp3.htm#764593","kindapp5.htm#765295","kindapp7.htm#765714"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfor Ada", "for Ada",2,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfor Adaentity kinds&#32;", "entity kinds&#32;",3,new Array( "kindapp3.htm#764593"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfor Adareference kinds&#32;", "reference kinds&#32;",3,new Array( "kindapp4.htm#765020"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfor C/C++", "for C/C++",2,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfor C/C++entity kinds&#32;", "entity kinds&#32;",3,new Array( "kindapp5.htm#765295"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfor C/C++reference kinds&#32;", "reference kinds&#32;",3,new Array( "kindapp6.htm#765575"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfor Fortran", "for Fortran",2,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfor Fortranentity kinds&#32;", "entity kinds&#32;",3,new Array( "kindapp7.htm#765714"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfor Fortranreference kinds&#32;", "reference kinds&#32;",3,new Array( "kindapp8.htm#765830"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfree kindlist&#32;", "free kindlist&#32;",2,new Array( "apiref20.htm#693889"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsfree list of kinds&#32;", "free list of kinds&#32;",2,new Array( "apiref37.htm#696998"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsinverse kind&#32;", "inverse kind&#32;",2,new Array( "apiref17.htm#693676"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindskind in list of kinds&#32;", "kind in list of kinds&#32;",2,new Array( "apiref21.htm#694023"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindslist of entity kinds&#32;", "list of entity kinds&#32;",2,new Array( "apiref36.htm#696935"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsname&#32;", "name&#32;",2,new Array( "apiref22.htm#694132","apiref24.htm#694222"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsnames of&#32;", "names of&#32;",2,new Array( "kindapp2.htm#764572"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsof references&#32;", "of references&#32;",2,new Array( "apiref38.htm#697178"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsparsing of&#32;", "parsing of&#32;",2,new Array( "apiref23.htm#694273","kindapp2.htm#764572"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Kkindsreference kinds&#32;", "reference kinds&#32;",2,new Array( "kindapp4.htm#765020","kindapp6.htm#765575","kindapp8.htm#765830"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "L", "L",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Llibrary", "library",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llibrarycompare libraries&#32;", "compare libraries&#32;",2,new Array( "apiref26.htm#696070"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llibraryentity in library&#32;", "entity in library&#32;",2,new Array( "apiref25.htm#694333"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llibraryfilter entities by library&#32;", "filter entities by library&#32;",2,new Array( "apiref27.htm#696165"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llibraryfree library list&#32;", "free library list&#32;",2,new Array( "apiref29.htm#696308"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llibrarylist of libraries&#32;", "list of libraries&#32;",2,new Array( "apiref28.htm#696266"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llibraryname of&#32;", "name of&#32;",2,new Array( "apiref30.htm#696422"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llibrary support&#32;", "library support&#32;",1,new Array( "usingap3.htm#766988","apiref11.htm#693171"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llicense", "license",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llicenserequirements for use&#32;", "requirements for use&#32;",2,new Array( "usingap2.htm#737322"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llicensetelling your application where the Understand license resides&#32;", "telling your application where the Understand license resides&#32;",2,new Array( "usingap3.htm#737505","apiref58.htm#699760"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Llinking with the API&#32;", "linking with the API&#32;",1,new Array( "usingap3.htm#782166"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "M", "M",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Mmetrics", "metrics",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Mmetricsfor Ada&#32;", "for Ada&#32;",2,new Array( "apiref46.htm#779058","apiref49.htm#860882"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Mmetricsfor C/C++&#32;", "for C/C++&#32;",2,new Array( "apiref46.htm#779078","apiref49.htm#698877"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Mmetricsfor Fortran&#32;", "for Fortran&#32;",2,new Array( "apiref46.htm#698123","apiref49.htm#698976"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Mmetricsper entity&#32;", "per entity&#32;",2,new Array( "apiref46.htm#697924"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Mmetricsproject&#32;", "project&#32;",2,new Array( "apiref49.htm#698798"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Mmetricsratios&#32;", "ratios&#32;",2,new Array( "apiref48.htm#698714"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "O", "O",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Oopen the database&#32;", "open the database&#32;",1,new Array( "usingap3.htm#740619","apiref6.htm#588541"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "P", "P",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Pparameter", "parameter",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Pparametertype&#32;", "type&#32;",2,new Array( "apiref14.htm#692550"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Pperl interface to Understand&#32;", "perl interface to Understand&#32;",1,new Array( "usingap2.htm#700285"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Pproject", "project",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Pprojectmetrics&#32;", "metrics&#32;",2,new Array( "apiref49.htm#698798"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "R", "R",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreference kinds&#32;", "reference kinds&#32;",1,new Array( "apiref15.htm#692715"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferences", "references",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencescolumn position of&#32;", "column position of&#32;",2,new Array( "apiref50.htm#699036"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencescopy of&#32;", "copy of&#32;",2,new Array( "apiref51.htm#699168"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencesentity being referenced&#32;", "entity being referenced&#32;",2,new Array( "apiref53.htm#699316"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencesentity performing the reference&#32;", "entity performing the reference&#32;",2,new Array( "apiref57.htm#699595"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencesfile in reference&#32;", "file in reference&#32;",2,new Array( "apiref54.htm#699335"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencesfiltering list of&#32;", "filtering list of&#32;",2,new Array( "apiref41.htm#697394"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencesfind entity from&#32;", "find entity from&#32;",2,new Array( "apiref43.htm#697592"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencesfree copy of&#32;", "free copy of&#32;",2,new Array( "apiref52.htm#699184"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencesfree list of&#32;", "free list of&#32;",2,new Array( "apiref42.htm#697521"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencesin file&#32;", "in file&#32;",2,new Array( "apiref40.htm#770355"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferenceskind of&#32;", "kind of&#32;",2,new Array( "apiref55.htm#699404"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferenceskinds&#32;", "kinds&#32;",2,new Array( "apiref38.htm#697178"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencesline of&#32;", "line of&#32;",2,new Array( "apiref56.htm#699470"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferenceslookup existence of&#32;", "lookup existence of&#32;",2,new Array( "apiref45.htm#697834"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "Rreferencesof entity&#32;", "of entity&#32;",2,new Array( "apiref39.htm#697195"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "U", "U",1,new Array());ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbClose", "udbDbClose",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbClosedescription&#32;", "description&#32;",2,new Array( "apiref3.htm#692733"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbCloseexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864776","samples2.htm#774722"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbLanguage", "udbDbLanguage",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbLanguagedescription&#32;", "description&#32;",2,new Array( "apiref4.htm#692741"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbLanguageexample usage&#32;", "example usage&#32;",2,new Array( "samples8.htm#775477"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbName", "udbDbName",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbNamedescription&#32;", "description&#32;",2,new Array( "apiref5.htm#692749"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbOpen", "udbDbOpen",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbOpendescription&#32;", "description&#32;",2,new Array( "apiref6.htm#588541"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbDbOpenexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864686","samples2.htm#774737"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityDraw", "udbEntityDraw",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityDrawdescription&#32;", "description&#32;",2,new Array( "apiref7.htm#782352"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityId&#32;", "udbEntityId&#32;",1,new Array( "apiref8.htm#588576"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityId&#32;description&#32;", "description&#32;",2,new Array( "apiref8.htm#860948"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityKind", "udbEntityKind",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityKinddescription&#32;", "description&#32;",2,new Array( "apiref9.htm#597114"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityLanguage", "udbEntityLanguage",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityLanguagedescription&#32;", "description&#32;",2,new Array( "apiref10.htm#692797"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityLibrary", "udbEntityLibrary",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityLibrarydescription&#32;", "description&#32;",2,new Array( "apiref11.htm#693171"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityNameLong", "udbEntityNameLong",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityNameLongdescription&#32;", "description&#32;",2,new Array( "apiref12.htm#691475"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityNameLongexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864750"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityNameShort", "udbEntityNameShort",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityNameShortdescription&#32;", "description&#32;",2,new Array( "apiref13.htm#691553"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityNameShortexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864764","samples3.htm#775315"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityTypetext", "udbEntityTypetext",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityTypetextdescription&#32;", "description&#32;",2,new Array( "apiref14.htm#692550"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbEntityTypetextexample usage&#32;", "example usage&#32;",2,new Array( "samples6.htm#780267"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbIsKind", "udbIsKind",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbIsKinddescription&#32;", "description&#32;",2,new Array( "apiref15.htm#692715"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbIsKindexample usage&#32;", "example usage&#32;",2,new Array( "apiref15.htm#756750"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbIsKindFile", "udbIsKindFile",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbIsKindFiledescription&#32;", "description&#32;",2,new Array( "apiref16.htm#693559"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindInverse", "udbKindInverse",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindInversedescription&#32;", "description&#32;",2,new Array( "apiref17.htm#693676"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindList", "udbKindList",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindListdescription&#32;", "description&#32;",2,new Array( "apiref18.htm#693759"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindListCopy", "udbKindListCopy",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindListCopydescription&#32;", "description&#32;",2,new Array( "apiref19.htm#693810"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindListFree", "udbKindListFree",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindListFreedescription&#32;", "description&#32;",2,new Array( "apiref20.htm#693889"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindLocate", "udbKindLocate",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindLocatedescription&#32;", "description&#32;",2,new Array( "apiref21.htm#694023"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindLongname", "udbKindLongname",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindLongnamedescription&#32;", "description&#32;",2,new Array( "apiref22.htm#694132"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindParse", "udbKindParse",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindParsedescription&#32;", "description&#32;",2,new Array( "apiref23.htm#694273"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindParseexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864744","samples5.htm#780283","samples6.htm#780284"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindShortname", "udbKindShortname",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindShortnamedescription&#32;", "description&#32;",2,new Array( "apiref24.htm#694222"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbKindShortnameexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864763","samples3.htm#775621"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UUdbLanguage", "UdbLanguage",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UUdbLanguagevalues&#32;", "values&#32;",2,new Array( "apiref4.htm#589290"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryCheckEntity", "udbLibraryCheckEntity",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryCheckEntitydescription&#32;", "description&#32;",2,new Array( "apiref25.htm#694333"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryCompare", "udbLibraryCompare",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryComparedescription&#32;", "description&#32;",2,new Array( "apiref26.htm#696070"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryFilterEntity", "udbLibraryFilterEntity",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryFilterEntitydescription&#32;", "description&#32;",2,new Array( "apiref27.htm#696165"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryList", "udbLibraryList",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryListdescription&#32;", "description&#32;",2,new Array( "apiref28.htm#696266"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryListFree", "udbLibraryListFree",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryListFreedescription&#32;", "description&#32;",2,new Array( "apiref29.htm#696308"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryName", "udbLibraryName",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLibraryNamedescription&#32;", "description&#32;",2,new Array( "apiref30.htm#696422"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListEntity", "udbListEntity",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListEntitydescription&#32;", "description&#32;",2,new Array( "apiref32.htm#696516"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListEntityexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864732","samples3.htm#775311"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListEntityFilter", "udbListEntityFilter",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListEntityFilterdescription&#32;", "description&#32;",2,new Array( "apiref33.htm#696631"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListEntityFilterexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864743","samples5.htm#775345"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListEntityFree", "udbListEntityFree",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListEntityFreedescription&#32;", "description&#32;",2,new Array( "apiref34.htm#696670"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListEntityFreeexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864775","samples3.htm#778679"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListFile", "udbListFile",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListFiledescription&#32;", "description&#32;",2,new Array( "apiref35.htm#696734"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListFileexample usage&#32;", "example usage&#32;",2,new Array( "samples4.htm#775330"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListKindEntity", "udbListKindEntity",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListKindEntitydescription&#32;", "description&#32;",2,new Array( "apiref36.htm#696935"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListKindFree", "udbListKindFree",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListKindFreedescription&#32;", "description&#32;",2,new Array( "apiref37.htm#696998"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListKindReference", "udbListKindReference",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListKindReferencedescription&#32;", "description&#32;",2,new Array( "apiref38.htm#697178"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReference", "udbListReference",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReferencedescription&#32;", "description&#32;",2,new Array( "apiref39.htm#697195"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReferenceexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864752","samples6.htm#780270"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReferenceFile", "udbListReferenceFile",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReferenceFiledescription&#32;", "description&#32;",2,new Array( "apiref40.htm#770355"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReferenceFilter", "udbListReferenceFilter",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReferenceFilterdescription&#32;", "description&#32;",2,new Array( "apiref41.htm#697394"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReferenceFilterexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864756","samples6.htm#775377"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReferenceFree", "udbListReferenceFree",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReferenceFreedescription&#32;", "description&#32;",2,new Array( "apiref42.htm#697521"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbListReferenceFreeexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864768","samples6.htm#775389"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLookupEntityByReference", "udbLookupEntityByReference",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLookupEntityByReferencedescription&#32;", "description&#32;",2,new Array( "apiref43.htm#697592"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLookupFile", "udbLookupFile",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLookupFiledescription&#32;", "description&#32;",2,new Array( "apiref44.htm#697676"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLookupReferenceExists", "udbLookupReferenceExists",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbLookupReferenceExistsdescription&#32;", "description&#32;",2,new Array( "apiref45.htm#697834"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbMetricEntity", "udbMetricEntity",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbMetricEntitydescription&#32;", "description&#32;",2,new Array( "apiref46.htm#697924"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbMetricEntityexample usage&#32;", "example usage&#32;",2,new Array( "samples5.htm#775350"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbMetricEntityIsDefined", "udbMetricEntityIsDefined",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbMetricEntityIsDefineddescription&#32;", "description&#32;",2,new Array( "apiref47.htm#698633"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbMetricIsRatio", "udbMetricIsRatio",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbMetricIsRatiodescription&#32;", "description&#32;",2,new Array( "apiref48.htm#698714"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbMetricProject", "udbMetricProject",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbMetricProjectdescription&#32;", "description&#32;",2,new Array( "apiref49.htm#698798"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbMetricProjectexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864736","samples8.htm#780404"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceColumn", "udbReferenceColumn",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceColumndescription&#32;", "description&#32;",2,new Array( "apiref50.htm#699036"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceCopy", "udbReferenceCopy",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceCopydescription&#32;", "description&#32;",2,new Array( "apiref51.htm#699168"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceCopyFree&#32;", "udbReferenceCopyFree&#32;",1,new Array( "apiref52.htm#699184"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceEntity", "udbReferenceEntity",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceEntitydescription&#32;", "description&#32;",2,new Array( "apiref53.htm#699316"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceEntityexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864764","samples6.htm#775385","samples7.htm#775438"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceFile", "udbReferenceFile",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceFiledescription&#32;", "description&#32;",2,new Array( "apiref54.htm#699335"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceFileexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864765","samples7.htm#775439"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceKind", "udbReferenceKind",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceKinddescription&#32;", "description&#32;",2,new Array( "apiref55.htm#699404"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceKindexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864763","samples7.htm#775437"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceLine", "udbReferenceLine",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceLinedescription&#32;", "description&#32;",2,new Array( "apiref56.htm#699470"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceLineexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864766","samples7.htm#775440"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceScope", "udbReferenceScope",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbReferenceScopedescription&#32;", "description&#32;",2,new Array( "apiref57.htm#699595"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbSetLicense", "udbSetLicense",1,new Array( ));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbSetLicensedescription&#32;", "description&#32;",2,new Array( "apiref58.htm#699760"));
ndx[ndx.length] = new ndxItem(ndxanchor++, "UudbSetLicenseexample usage&#32;", "example usage&#32;",2,new Array( "usingap4.htm#864685","samples2.htm#773917"));

